/* Replication file */

#delimit;
clear;
capture clear matrix;
set matsize 1000;
set mem 200m;

local nrace = 6;

use table1;

capture xi: reg mddw primary i.yearp i.statep, cluster(statep), if chamber == 1 & (party == 100 | party == 200);
capture local n_1_1 = _result(1);
capture local b_1_1 = _b[primary];
capture local s_1_1 = _se[primary];

capture xi: reg mddw primary i.year i.state, cluster(statep), if party == 100 & chamber == 1;
capture local n_1_2 = _result(1);
capture local b_1_2 = _b[primary];
capture local s_1_2 = _se[primary];

capture xi: reg mddw primary i.year i.state, cluster(statep), if party == 200 & chamber == 1;
capture local n_1_3 = _result(1);
capture local b_1_3 = _b[primary];
capture local s_1_3 = _se[primary];

capture xi: reg mddw primary i.yearp i.statep, cluster(statep), if chamber == 0 & (party == 100 | party == 200);
capture local n_2_1 = _result(1);
capture local b_2_1 = _b[primary];
capture local s_2_1 = _se[primary];

capture xi: reg mddw primary i.year i.state, cluster(statep), if party == 100 & chamber == 0;
capture local n_2_2 = _result(1);
capture local b_2_2 = _b[primary];
capture local s_2_2 = _se[primary];

capture xi: reg mddw primary i.year i.state, cluster(statep), if party == 200 & chamber == 0;
capture local n_2_3 = _result(1);
capture local b_2_3 = _b[primary];
capture local s_2_3 = _se[primary];

noi disp " ";
noi disp "Table 1";
noi disp " ";

forvalues i = 1(1)2 {;
   foreach type in b s n {;
     noi disp "         & " _cont;
     forvalues k = 1(1)3 {;
       if "`type'"=="b" {;
         noi disp " " %6.3f ``type'_`i'_`k'' "  & "  _cont;
       };
       if "`type'"=="s" {;
         noi disp "(" %6.3f ``type'_`i'_`k'' ") & " _cont;
       };
       if "`type'"=="n" {;
         noi disp " " %6.0fc ``type'_`i'_`k'' "  & "  _cont;
       };
     };
   noi disp "\\";
  };      
};



clear;
use table2;

capture xi: reg  dadwnom turnout2x                if !(south==1 & year<=1970) & open == 1, cluster(statex);
capture local n_1_1_1 = _result(1);
capture local b_1_1_1 = _b[turnout2];
capture local s_1_1_1 = _se[turnout2];

capture xi: reg  dadwnom turnout2x  i.statep      if  !(south==1 & year<=1970) & open == 1, cluster(statex);
capture local n_1_1_2 = _result(1);
capture local b_1_1_2 = _b[turnout2];
capture local s_1_1_2 = _se[turnout2];

capture xi: reg  dadwnom contested_P             if !(south==1 & year<=1970) & open == 1 & n_races >= `nrace', cluster(statex);
capture local n_2_1_1 = _result(1);
capture local b_2_1_1 = _b[contested_P];
capture local s_2_1_1 = _se[contested_P];
  
capture xi: reg  dadwnom contested_P   i.statep  if !(south==1 & year<=1970) & open == 1 & n_races >= `nrace', cluster(statex);
capture local n_2_1_2 = _result(1);
capture local b_2_1_2 = _b[contested_P];
capture local s_2_1_2 = _se[contested_P];

capture xi: reg  dadwnom close_P_60              if !(south==1 & year<=1970) & open == 1 & n_races >= `nrace', cluster(statex);
capture local n_3_1_1 = _result(1);
capture local b_3_1_1 = _b[close_P_60];
capture local s_3_1_1 = _se[close_P_60];

capture xi: reg  dadwnom close_P_60   i.statep   if  !(south==1 & year<=1970) & open == 1 & n_races >= `nrace', cluster(statex);
capture local n_3_1_2 = _result(1);
capture local b_3_1_2 = _b[close_P_60];
capture local s_3_1_2 = _se[close_P_60];

capture xi: reg  dadwnom turnout2  i.yearp   if !(south==1 & year<=1970), cluster(statex);
capture local n_1_1_3 = _result(1);
capture local b_1_1_3 = _b[turnout2];
capture local s_1_1_3 = _se[turnout2];

capture xi: reg  dadwnom turnout2 i.yearp  i.statep  if !(south==1 & year<=1970), cluster(statex);
capture local n_1_1_4 = _result(1);
capture local b_1_1_4 = _b[turnout2];
capture local s_1_1_4 = _se[turnout2];
  
capture xi: reg  dadwnom contested_P i.yearp   if n_races >=`nrace' & !(south==1 & year<=1970), cluster(statex);
capture local n_2_1_3 = _result(1);
capture local b_2_1_3 = _b[contested_P];
capture local s_2_1_3 = _se[contested_P];
  
capture xi: reg  dadwnom contested_P i.yearp  i.statep  if n_races>=`nrace' & !(south==1 & year<=1970), cluster(statex);
capture local n_2_1_4 = _result(1);
capture local b_2_1_4 = _b[contested_P];
capture local s_2_1_4 = _se[contested_P];

capture xi: reg  dadwnom close_P_60 i.yearp   if n_races>=`nrace' & !(south==1 & year<=1970), cluster(statex);
capture local n_3_1_3 = _result(1);
capture local b_3_1_3 = _b[close_P_60];
capture local s_3_1_3 = _se[close_P_60];
  
capture xi: reg  dadwnom close_P_60 i.yearp  i.statep  if n_races>=`nrace' & !(south==1 & year<=1970), cluster(statex);
capture local n_3_1_4 = _result(1);
capture local b_3_1_4 = _b[close_P_60];
capture local s_3_1_4 = _se[close_P_60];

noi disp "        ";
noi disp "Table 2 ";
noi disp "        ";

forvalues k = 1(1)3 {;
 foreach type in b s n {;
     noi disp "         & " _cont;
     forvalues i = 1(1)4 {;
     if "`type'"=="b" {;
       noi disp " " %6.3f ``type'_`k'_1_`i'' "  & "  _cont;
     };
     if "`type'"=="s" {;
       noi disp "(" %6.3f ``type'_`k'_1_`i'' ") & " _cont;
     };
     if "`type'"=="n" {;
       noi disp " " %6.0fc ``type'_`k'_1_`i'' "  & "  _cont;
     };
   };
 noi disp "\\";
 };      
};


clear;
use table3; 


capture reg gap_dw gap_p gap_g2  if state != "IA";
capture local n_3 = _result(1);
capture local b_i_3 = _b[gap_p];
capture local s_i_3 = _se[gap_p];
capture local b_v_3 = _b[gap_g2];
capture local s_v_3 = _se[gap_g2];


capture reg adwnom_d ideo3_prim_dx ideo3_genl2_dx  if state != "IA";
capture local n_1 = _result(1);
capture local b_i_1 = _b[ideo3_prim_dx];
capture local s_i_1 = _se[ideo3_prim_dx];
capture local b_v_1 = _b[ideo3_genl2_dx];
capture local s_v_1 = _se[ideo3_genl2_dx];

capture reg adwnom_r ideo3_prim_r ideo3_genl2_r  if state != "IA" ;
capture local n_2 = _result(1);
capture local b_i_2 = _b[ideo3_prim_r];
capture local s_i_2 = _se[ideo3_prim_r];
capture local b_v_2 = _b[ideo3_genl2_r];
capture local s_v_2 = _se[ideo3_genl2_r];

noi disp "";
noi disp "Table 3 Genl2 Average without gap";
noi disp "";

foreach type in b_v s_v b_i s_i n {;
     noi disp "         & " _cont;
     forvalues i = 1(1)3 {;
     if "`type'"=="b_i" {;
       noi disp " " %6.3f ``type'_`i'' "  & "  _cont;
     };
     if "`type'"=="s_i" {;
       noi disp "(" %6.3f ``type'_`i'' ") & " _cont;
     };
     if "`type'"=="b_v" {;
       noi disp " " %6.3f ``type'_`i'' "  & "  _cont;
     };
     if "`type'"=="s_v" {;
       noi disp "(" %6.3f ``type'_`i'' ") & " _cont;
     };
     if "`type'"=="n" {;
       noi disp " " %6.0fc ``type'_`i'' "  & "  _cont;
     };
   };
 noi disp "\\";
};      


clear;
use table4;

capture xi: reg  contested_P_SEN contested_P  inc2           if !(south==1 & year<=1970) & n_races >= `nrace', cluster(statex);
capture local n_4_3_1 = _result(1);
capture local b_4_1_1 = _b[contested_P];
capture local s_4_1_1 = _se[contested_P];
capture local b_4_3_1 = _b[inc2];
capture local s_4_3_1 = _se[inc2];

capture xi: reg  contested_P_SEN contested_P inc2  i.statep   if  !(south==1 & year<=1970) & n_races >= `nrace', cluster(statex);
capture local n_4_3_3 = _result(1);
capture local b_4_1_3 = _b[contested_P];
capture local s_4_1_3 = _se[contested_P];
capture local b_4_3_3 = _b[inc2];
capture local s_4_3_3 = _se[inc2];

capture xi: reg  contested_P_SEN adwnom contested_P  inc2 if !(south==1 & year<=1970) & n_races >= `nrace', cluster(statex);
capture local n_4_3_2 = _result(1);
capture local b_4_1_2 = _b[contested_P];
capture local s_4_1_2 = _se[contested_P];
capture local b_4_2_2 = _b[adwnom];
capture local s_4_2_2 = _se[adwnom];
capture local b_4_3_2 = _b[inc2];
capture local s_4_3_2 = _se[inc2];

capture xi: reg  contested_P_SEN adwnom contested_P inc2  i.statep   if  !(south==1 & year<=1970) & n_races >= `nrace', cluster(statex);
capture local n_4_3_4 = _result(1);
capture local b_4_1_4 = _b[contested_P];
capture local s_4_1_4 = _se[contested_P];
capture local b_4_2_4 = _b[adwnom];
capture local s_4_2_4 = _se[adwnom];
capture local b_4_3_4 = _b[inc2];
capture local s_4_3_4 = _se[inc2];

capture xi: reg  close_P_60_SEN  close_P_60 inc2   if !(south==1 & year<=1970) & n_races >= `nrace', cluster(statex);
capture local n_5_3_1 = _result(1);
capture local b_5_1_1 = _b[close_P_60];
capture local s_5_1_1 = _se[close_P_60];
capture local b_5_3_1 = _b[inc2];
capture local s_5_3_1 = _se[inc2];

capture xi: reg  close_P_60_SEN  close_P_60 inc2  i.statep  if  !(south==1 & year<=1970) & n_races >= `nrace', cluster(statex);
capture local n_5_3_3 = _result(1);
capture local b_5_1_3 = _b[close_P_60];
capture local s_5_1_3 = _se[close_P_60];
capture local b_5_3_3 = _b[inc2];
capture local s_5_3_3 = _se[inc2];

capture xi: reg  close_P_60_SEN adwnom close_P_60 inc2   if !(south==1 & year<=1970) & n_races >= `nrace', cluster(statex);
capture local n_5_3_2 = _result(1);
capture local b_5_1_2 = _b[close_P_60];
capture local s_5_1_2 = _se[close_P_60];
capture local b_5_2_2 = _b[adwnom];
capture local s_5_2_2 = _se[adwnom];
capture local b_5_3_2 = _b[inc2];
capture local s_5_3_2 = _se[inc2];

capture xi: reg  close_P_60_SEN adwnom close_P_60 inc2  i.statep  if  !(south==1 & year<=1970) & n_races >= `nrace', cluster(statex);
capture local n_5_3_4 = _result(1);
capture local b_5_1_4 = _b[close_P_60];
capture local s_5_1_4 = _se[close_P_60];
capture local b_5_2_4 = _b[adwnom];
capture local s_5_2_4 = _se[adwnom];
capture local b_5_3_4 = _b[inc2];
capture local s_5_3_4 = _se[inc2];

forvalue j = 4(1)5 {;

  if `j' == 4 {;
     local m = "Table 4 linear probability TOP contested";
  };
  if `j' == 5 {;
     local m = "Table 4 linear probability BOTTOM close ";
  };

  noi disp "        ";
  noi disp "`m'";
  noi disp "        ";
  forvalues k = 1(1)3 {;
   foreach type in b s n {;
       noi disp "         & " _cont;
       forvalues i = 1(1)4 {;
          if "`type'"=="b" {;
            noi disp " " %6.3f  ``type'_`j'_`k'_`i'' "  & "  _cont;
          };
          if "`type'"=="s" {;
            noi disp "(" %6.3f ``type'_`j'_`k'_`i'' ") & " _cont;
          };
          if "`type'"=="n" {;
            noi disp " " %6.0fc ``type'_`j'_`k'_`i'' "  & "  _cont;
          };
       };
     noi disp "\\";
   };      
  };
};


clear;
use table5;

capture xi: reg  VPCT1_P_TOP2   adwnom inc i.statep  if !(south==1 & year<=1970) & VPCT1_P_TOP2 != 1 & VPCT1_P_TOP2 != . , cluster(statex);
capture local n_4_4_1 = _result(1);
capture local b_4_1_1 = _b[adwnom];
capture local s_4_1_1 = _se[adwnom];
capture local b_4_4_1 = _b[inc];
capture local s_4_4_1 = _se[inc];  

capture local b_4_2_1 = .;
capture local s_4_2_1 = .;  
capture local b_4_3_1 = .;
capture local s_4_3_1 = .;  

capture xi: reg  VPCT1_P_TOP2   dadwnom inc  i.statep  if !(south==1 & year<=1970) & VPCT1_P_TOP2 != 1 & VPCT1_P_TOP2 != . , cluster(statex);
capture local n_4_4_2 = _result(1);
capture local b_4_1_2 = _b[dadwnom];
capture local s_4_1_2 = _se[dadwnom];
capture local b_4_4_2 = _b[inc];
capture local s_4_4_2 = _se[inc];  

capture local b_4_2_2 = .;
capture local s_4_2_2 = .;  
capture local b_4_3_2 = .;
capture local s_4_3_2 = .;  

capture xi: reg  VPCT1_G_TOP2   adwnom inc i.yearp i.statep  if !(south==1 & year<=1970) , cluster(statex);
capture local n_4_4_3 = _result(1);
capture local b_4_1_3 = _b[adwnom];
capture local s_4_1_3 = _se[adwnom];
capture local b_4_4_3 = _b[inc];
capture local s_4_4_3 = _se[inc];  

capture local b_4_2_3 = .;
capture local s_4_2_3 = .;  
capture local b_4_3_3 = .;
capture local s_4_3_3 = .;  

capture xi: reg  VPCT1_G_TOP2  adwnom inc NV N_INC i.yearp i.statep  if !(south==1 & year<=1970) & NUM_RACES>=2, cluster(statex);
capture local n_4_4_4 = _result(1);
capture local b_4_1_4 = _b[adwnom];
capture local s_4_1_4 = _se[adwnom];
capture local b_4_2_4 = _b[NV];
capture local s_4_2_4 = _se[NV];
capture local b_4_3_4 = _b[N_INC];
capture local s_4_3_4 = _se[N_INC];
capture local b_4_4_4 = _b[inc];
capture local s_4_4_4 = _se[inc];




noi disp "        ";
noi disp "Table 5 Election Outcomes";
noi disp "        ";

forvalues k = 1(1)4 {;
  foreach type in b s n {;
     noi disp "         & " _cont;
     forvalues i = 1(1)4 {;
     if "`type'"=="b" {;
       noi disp " " %6.3f ``type'_4_`k'_`i'' "  & "  _cont;
     };
     if "`type'"=="s" {;
       noi disp "(" %6.3f ``type'_4_`k'_`i'' ") & " _cont;
     };
     if "`type'"=="n" {;
       noi disp " " %6.0fc ``type'_4_`k'_`i'' "  & "  _cont;
     };
   };
 noi disp "\\";
 };      
};


clear;
use tableA1;

capture xi: reg ideo3_prim_dx ideo3_genl2_dx dem_vappct i.state i.year if staten != "IA" , cluster(state);
capture local n_2 = _result(1);
capture local b_i_2 = _b[ideo3_genl2_dx];
capture local s_i_2 = _se[ideo3_genl2_dx];
capture local b_v_2 = _b[dem_vappct];
capture local s_v_2 = _se[dem_vappct];

capture xi: reg ideo3_prim_r ideo3_genl2_r rep_vappct i.state i.year if staten != "IA", cluster(state);
capture local n_4 = _result(1);
capture local b_i_4 = _b[ideo3_genl2_r];
capture local s_i_4 = _se[ideo3_genl2_r];
capture local b_v_4 = _b[rep_vappct];
capture local s_v_4 = _se[rep_vappct];

collapse (mean) ideo* dem_* rep_*,  by(staten);

capture reg ideo3_prim_dx ideo3_genl2_dx dem_vappct if staten != "IA";
capture local n_1 = _result(1);
capture local b_i_1 = _b[ideo3_genl2_dx];
capture local s_i_1 = _se[ideo3_genl2_dx];
capture local b_v_1 = _b[dem_vappct];
capture local s_v_1 = _se[dem_vappct];

capture reg ideo3_prim_r ideo3_genl2_r rep_vappct if staten != "IA";
capture local n_3 = _result(1);
capture local b_i_3 = _b[ideo3_genl2_r];
capture local s_i_3 = _se[ideo3_genl2_r];
capture local b_v_3 = _b[rep_vappct];
capture local s_v_3 = _se[rep_vappct];


noi disp "";
noi disp "Table A1 ";
noi disp "";

foreach type in b_i s_i b_v s_v n {;
     noi disp "         & " _cont;
     forvalues i = 1(1)4 {;
     if "`type'"=="b_i" {;
       noi disp " " %6.3f ``type'_`i'' "  & "  _cont;
     };
     if "`type'"=="s_i" {;
       noi disp "(" %6.3f ``type'_`i'' ") & " _cont;
     };
     if "`type'"=="b_v" {;
       noi disp " " %6.3f ``type'_`i'' "  & "  _cont;
     };
     if "`type'"=="s_v" {;
       noi disp "(" %6.3f ``type'_`i'' ") & " _cont;
     };
     if "`type'"=="n" {;
       noi disp " " %6.0fc ``type'_`i'' "  & "  _cont;
     };
   };
 noi disp "\\";
};      

#delimit;
clear;

noi disp "";
noi disp "Figure1";
noi disp "";

use fig1;
graph7 dwnom1P_D_S dwnom1P_R_S dwnom1P_D_H dwnom1P_R_H  cong_primcong if abs(year_primyear) < 8, s(oooo) c(llll) xline(.5) yline(0) ylabel(-.1,.1) xlabel(-3,-2,-1,0,1,2,3,4) b2("Congresses Before and After Primary");

noi disp "";
noi disp "Figure2";
noi disp "";

use fig2;
scatter turnout* dec, xt(1940(20)2000) xtitle("Decade") ytitle("Primary Turnout") m(O T) connect(l l l l) lp(_);


